Package org.h2gis.functions.io.kml

# Class ST_AsKml

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.io.kml.ST_AsKml

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_AsKml extends org.h2gis.api.DeterministicScalarFunction
Convert a JTS geometry to a KML geometry representation.

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_AsKml()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static String`
`toKml(org.locationtech.jts.geom.Geometry geometry)`
Generate a KML geometry
`static String`
`toKml(org.locationtech.jts.geom.Geometry geometry, boolean extrude, int altitudeModeEnum)`
Generates a KML geometry.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_AsKml

public ST_AsKml()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### toKml

public static String toKml(org.locationtech.jts.geom.Geometry geometry) throws SQLException
Generate a KML geometry

Parameters:
  `geometry` -
Returns:
Throws:
  `SQLException`

### toKml

public static String toKml(org.locationtech.jts.geom.Geometry geometry, boolean extrude, int altitudeModeEnum) throws SQLException
Generates a KML geometry. Specifies the extrude and altitudeMode. Available extrude values are true, false or none. Supported altitude mode : For KML profil CLAMPTOGROUND = 1; RELATIVETOGROUND = 2; ABSOLUTE = 4; For GX profil CLAMPTOSEAFLOOR = 8; RELATIVETOSEAFLOOR = 16; No altitude : NONE = 0;

Parameters:
  `geometry` -
  `altitudeModeEnum` -
  `extrude` -
Returns:
Throws:
  `SQLException`